summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-01-17 15:33:36 +0100
committerChristian Grothoff <christian@grothoff.org>2023-01-17 15:33:36 +0100
commitabb692f02dfc3c69b6545f7eb69552c0a047c3a2 (patch)
tree9c9c9db662820d9d8898b1dc7e248c397d6781cd /src/auditor/test-auditor.sh
parent4e7d4aa4b22f7300f59f2a543720a0bce04c3b78 (diff)
downloadexchange-abb692f02dfc3c69b6545f7eb69552c0a047c3a2.tar.gz
exchange-abb692f02dfc3c69b6545f7eb69552c0a047c3a2.tar.bz2
exchange-abb692f02dfc3c69b6545f7eb69552c0a047c3a2.zip
-run fetch-transactions in auditor test to avoid non-deterministic failure
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 60cc00bd2..7f4ec1cab 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -301,9 +301,9 @@ function run_audit () {
echo -n "Running taler-exchange-offline drain "
taler-exchange-offline -L DEBUG -c "${CONF}" \
- drain TESTKUDOS:0.1 exchange-account-1 payto://iban/SANDBOXX/DE360679?receiver-name=Exchange+Drain \
- upload \
- 2> ${MY_TMP_DIR}/taler-exchange-offline-drain.log || exit_fail "offline draining failed"
+ drain TESTKUDOS:0.1 exchange-account-1 payto://iban/SANDBOXX/DE360679?receiver-name=Exchange+Drain \
+ upload \
+ 2> ${MY_TMP_DIR}/taler-exchange-offline-drain.log || exit_fail "offline draining failed"
kill -TERM $EPID
wait $EPID || true
unset EPID
@@ -325,11 +325,15 @@ function run_audit () {
echo -n "Payment likely already submitted, running submit-payments without UUID anyway ..."
libeufin-cli accounts submit-payments exchange-nexus
else
- echo -n "Running submitting payment ${PAIN_UUID} ..."
+ echo -n "Running payment submission for transaction ${PAIN_UUID} ..."
libeufin-cli accounts submit-payments --payment-uuid ${PAIN_UUID} exchange-nexus
fi
- cd $ORIGIN
echo " DONE"
+ echo -n "Import outgoing transactions..."
+ libeufin-cli accounts fetch-transactions \
+ --range-type since-last --level report exchange-nexus
+ echo " DONE"
+ cd $ORIGIN
fi
audit_only
post_audit